php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #13033 egmentation Fault core dump on apache start
Submitted: 2001-08-29 10:43 UTC Modified: 2001-11-11 19:53 UTC
From: jasonk at fdm4 dot com Assigned:
Status: Closed Package: Apache related
PHP Version: 4.0.6 OS: aix 4.3.3
Private report: No CVE-ID: None
 [2001-08-29 10:43 UTC] jasonk at fdm4 dot com
sorry didn't put password on bud 13031 so got to repeat to update
[2001-08-29 09:50:49] jasonk@fdm4.com

tried installing PHP-4.0.6 on anr rs/6000 with aix 4.3.3
using gcc 2.95.3.

I have apache 1.3.20 installed dso support
mod ssl is installed
I have mysql installed and working
I also have Jrun installed and working.

i use

./configure \
--with-apxs=/usr/local/apache/bin/apxs
--with-mysql=/usr/local/mysql
--prefix=/usr/local/php

it configures ok
makes ok 
and make install ok 
(i have tried make and gnumake)
when i have the
 LoadModule php4_module        libexec/libphp4.so
line in place i get the seg fault

Ive tried the latest version from snaps and it won't make the libphp4.so file

the segfault i get isreading symbolic information ...
[using memory image in core]

Segmentation fault in php_if_apache_lookup_uri at 0xd0c47fe4 ($t1)
0xd0c47fe4 (php_if_apache_lookup_uri+0x554) 800c0000        lwz   r0,0x0(r12)
 



any help much appreciated

[2001-08-29 09:52:52] sniper@php.net

Does this happen with latest CVS snapshot:

http://snaps.php.net/ 


>>>>Have tried latest froms snaps  php4-200108290735.tar.gz
now i get the same ass bug#11716
Target "install" is up to date.
Making install in .
        /usr/inst/phpsource/php4-200108290735/build/shtool mkdir -p "/usr/local/apache/libexec" && /usr/local/apache/bin/apxs -S LIB
EXECDIR="/usr/local/apache/libexec" -i -a -n php4 libs/libphp4.so
[activating module `php4' in /usr/local/apache/conf/httpd.conf]
cp libs/libphp4.so /usr/local/apache/libexec/libphp4.so
cp: libs/libphp4.so: A file or directory in the path name does not exist.
apxs:Break: Command failed with rc=1
make: 1254-004 The error code from the last command is 1.


Stop.
make: 1254-004 The error code from the last command is 1.

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-08-30 09:47 UTC] sniper@php.net
And how did you configure / compile Apache?
It seems to be a bit broken..

 [2001-08-30 09:53 UTC] jasonk at fdm4 dot com
./configure \
--prefix=/usr/local/apache \
--enable-module=ssl \
--enable-module=frontpage \
--server-uid=nobody \
--fpexec-caller=nobody \
--enable-shared=ssl \
--enable-shared=frontpage \
--enable-module=most \

is the configure i used for apache
 [2001-08-30 09:54 UTC] jasonk at fdm4 dot com
sorry also had this befor ./configure on the Apache configure

EAPI_MM="../mm-1.1.3" \
SSL_BASE="../openssl-0.9.6b" \
 [2001-10-21 00:38 UTC] sniper@php.net
Could you please try the latest snapshot again?
(I don't have access to any AIX systems to test)

 [2001-11-11 06:23 UTC] sander@php.net
No feedback. Closing.

Please try the latest snapshot. Reopen if you have any new information.
 
PHP Copyright © 2001-2018 The PHP Group
All rights reserved.
Last updated: Sun Nov 19 01:31:42 2017 UTC